<?php
/**
 *
 * @link              https://plugna.com
 * @since             0.1
 * @package           Plugna Login AI
 *
 * @wordpress-plugin
 * Plugin Name:       Plugna - LOGIN AI
 * Plugin URI:        https://plugna.com/login-ai/
 * Description:       Login AI is an AI-powered assistant that helps you customize the WordPress login page. You just need to tell what you want and it will apply the styles for you.
 * Version:           1.2.1
 * Author:            Plugna
 * Donate link:       https://plugna.com/vip/
 * Author URI:        https://plugna.com/
 * License:           GPL-2.0+
 * License URI:       https://www.gnu.org/licenses/gpl.txt
 * Text Domain:       plugnalai
 * Domain Path:       /languages
 */

// Check that the file is not accessed directly.
use PlugnaLAI\PlugnaLAI_Plugin;
use PlugnaLAI\PlugnaLAI_Update_Checker;

if (!defined('ABSPATH')) {
    die('We\'re sorry, but you can not directly access this file.');
}

//TODO: use plugin only on wp-json/login page and menu in admin panel
require_once plugin_dir_path(__FILE__) . 'src/PlugnaLAI_Plugin.php';
new PlugnaLAI_Plugin(
    plugin_dir_path(__FILE__),
    '1.2.1'
);

require_once plugin_dir_path( __FILE__ ) . 'src/PlugnaLAI_Update_Checker.php';
new PlugnaLAI_Update_Checker(plugin_basename(__FILE__), '1.2.1');